#!/bin/csh 
# This script informs Samba user about incoming mail
# This CGI can be inserted as SSI on web page for example

set path=( /usr/bin /bin /usr/local/bin /usr/sbin /sbin /usr/local/sbin /usr/local/samba/bin )


if( x"$REMOTE_ADDR" == x"proxy.server.ip.addr" ) then
  setenv REMOTE_ADDR $HTTP_X_FORWARDED_FOR
endif

# Determine local hostname
set localhostname=`host $REMOTE_ADDR | cut -f 5 -d ' ' | cut -f 1 -d .`

# Now find which user is logged in througth SAMBA from this hostname
set username=`smbstatus -S -b | skip 3 | grep "$localhostname           " | sed -e 's/  */ /g' | cut -f 2 -d ' '`

set mboxsize=0

if ( "x$username" != "x" ) then 
  # Now check if this user have mail (check message box size)
  set mboxsize=`ls -l /var/spool/mail/ | grep $username | sed -e 's/  */ /g' | cut -f 5 -d ' '`
endif

set message=""

if( $mboxsize>0 ) then
  set message="You have mail"
endif


cat <<EOT
Content-Type: text/html; charset=koi8-r

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML>
<HEAD>
<BODY>
$message
</BODY>
</HTML>
EOT
